Summary:	Lightweight X11 desktop panel based on fbpanel
Summary(de):	LXPanel ist eine kleine X11-Arbeitsflächenleiste
Name:	  	lxpanel
Version:	0.9.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/LXDE
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.xz
Source1:	config
Source2:	panel
#Source3:	lxde-logout.desktop
Source4:	background.png
Source5:	desktop.png
Source6:	drakconf.png
Source7:	gnome-logout.png
Source8:	lxde-applications.menu
URL:		http://lxde.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#--------------------------------------------------
BuildRequires:	gtk+2-devel 
BuildRequires:	%{_lib}alsa2-devel 
BuildRequires:	xpm-devel 
BuildRequires:	%{_lib}iw29-devel 
BuildRequires:	intltool
BuildRequires:	%{_lib}menu-cache-devel >= 0.5.0
BuildRequires:	docbook-to-man
BuildRequires:	%{_lib}wnck1-devel
BuildRequires:	libpthread-stubs
BuildRequires:	libfm-gtk-devel
BuildRequires:	keybinder-devel
#------------------------------------------------
Requires:	desktop-common-data
Requires:       menu-cache >= 0.5.0
Requires:	%{_lib}menu-cache3 >= 0.5.0


%description
LXPanel is a lightweight X11 desktop panel contains:
1. User-friendly application menu automatically generated from *.desktop
   files on the system.
2. Launcher bar (Small icons clicked to launch apps)
3. Task bar supporting urgency hint (Can flash when gaim gets new
   incoming messages)
4. Notification area (System tray)
5. Digital clock
6. Run dialog (A dialog let you type a command and run, can be called in
   external programs)
7. Net status icon plug-in
8. Volume control plug-in (optional, written by jserv)
9. lxpanelctl, an external controller let you control lxpanel in other
   programs.
   
#german
%description -l de
LXPanel ist eine kleine X11-Arbeitsflächenleiste. 

Es funktioniert mit jedem ICCCM / NETWMkonformer Window-Manager 
(z.B. Sawfish, Metacity, xfwm4, kwin, Openbox) und verfügt über 
eine Anwendungsliste, Pager, Startleiste, Uhr, Menü und Systray. 

%package devel
Summary: Development files for lxpanel
Summary(de): Entwickler Dateien für lxpanel
Group: Graphical desktop/Other

%description devel
This package contains development files needed for building lxde plugins.

#german
%description devel -l de
Dieses Paket enthält Entwickler Dateien die zum Erstellen von Erweiterungen 
für LXDE benötigt werden.


%prep
%setup -q -n %name-%version

%build
#./autogen.sh --prefix=/usr
%configure2_5x \
--with-plugins="volumealsa cpu deskno batt kbled xkb thermal cpufreq weather" 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/%_sysconfdir/xdg/lxpanel/default/config
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/%_sysconfdir/xdg/lxpanel/default/panels/panel
mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
install -m 0644 %SOURCE4 $RPM_BUILD_ROOT/%_datadir/lxpanel/images/background.png
install -D -m 0644 %SOURCE8 $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/menus/lxde-applications.menu

rm -f %{buildroot}/%{_libdir}/lxpanel/liblxpanel.la

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%{name}
%{_bindir}/lxpanelctl
%{_libdir}/lxpanel/liblxpanel.so.*
%{_libdir}/%{name}/plugins/batt.so
%{_libdir}/%{name}/plugins/cpu.so
%{_libdir}/%{name}/plugins/deskno.so
%{_libdir}/%{name}/plugins/kbled.so
%{_libdir}/%{name}/plugins/volume.so
%{_libdir}/%{name}/plugins/xkb.so
%{_libdir}/%{name}/plugins/thermal.so
%{_libdir}/%{name}/plugins/cpufreq.so
%{_libdir}/%{name}/plugins/weather.so
%{_datadir}/%name
%{_mandir}/man1/*
#%_datadir/applications/lxde-logout.desktop
%{_sysconfdir}/xdg/%{name}/*
%{_sysconfdir}/xdg/menus/lxde-applications.menu

%files devel
%defattr(-, root, root)
%{_includedir}/lxpanel
%{_libdir}/lxpanel/liblxpanel.so
%{_libdir}/pkgconfig/lxpanel.pc


%changelog
* Sat Jul 08 2017 adrianomorselli <adrianomorselli> 0.9.3-1uplos2017
- update
